<template lang="pug">
  div(:class="$style.root")
    div(:class="$style.header")
      slot(name="header")
    div(:class="$style.body")
      slot(name="body")
    div(:class="$style.footer")
      slot(name="footer")
</template>

<script>
export default {

}
</script>

<style lang="sass" module>
.root
  border: 1px solid #ddd
.header
  padding: 1em
  border-bottom: 1px solid #ddd
.body
  padding: .5em
.footer
  padding: 1em
</style>
